cURL
curl --request GET \
--url https://api.allcomtelecom.com/api:XUynQtIz/costummer/tagimport requests
url = "https://api.allcomtelecom.com/api:XUynQtIz/costummer/tag"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.allcomtelecom.com/api:XUynQtIz/costummer/tag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"itemsReceived": 0,
"curPage": 0,
"nextPage": 0,
"prevPage": 0,
"offset": 0,
"perPage": 0,
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "now",
"accounts_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"device_name": "string",
"serial_number": "string",
"operational_status": "string",
"battery": 0,
"last_connected": 0,
"lastConfiguration": {},
"lastReport": {},
"isTag": true,
"address": {},
"icone": "string",
"nextTo": "string",
"PontoREF": false,
"geo_point": "string",
"image": {
"access": "public",
"path": "string",
"name": "string",
"type": "string",
"size": 0,
"mime": "string",
"meta": {},
"url": "string"
},
"groups": {
"id": 0,
"created_at": "now",
"accounts_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"title": "string",
"color": "string"
},
"products": {
"id": 0,
"created_at": "now",
"deviceBrand": "string",
"deviceType": "string",
"productName": "string",
"account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}
]
}{
"error": "Input Error. Check the request payload for issues."
}{
"error": "Requisição requer autenticação."
}{
"error": "Access denied. Additional privileges are needed access the requested resource"
}{
"error": "Not Found. The requested resource does not exist."
}{
"error": "Rate Limited. Too many requests."
}{
"error": "Unexpected error"
}Costummer
Lista com as tags do cliente
Rota que faz uma listagem das tags de um cliente
GET
/
costummer
/
tag
cURL
Query Parameters
Example:
"20234397fs9vcd978qr308q9703cbfdbd9vuy07wrw97rq90qrw08"
Example:
"1"
Example:
"25"
Example:
"offset"
Example:
"123"
Response
Listagem de dispositivos retornada com sucesso.
Example:
{
"itemsReceived": 0,
"curPage": 0,
"nextPage": 0,
"prevPage": 0,
"offset": 0,
"perPage": 0,
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "now",
"accounts_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"device_name": "string",
"serial_number": "string",
"operational_status": "string",
"battery": 0,
"last_connected": 0,
"lastConfiguration": {},
"lastReport": {},
"isTag": true,
"address": {},
"icone": "string",
"nextTo": "string",
"PontoREF": false,
"geo_point": "string",
"image": {
"access": "public",
"path": "string",
"name": "string",
"type": "string",
"size": 0,
"mime": "string",
"meta": {},
"url": "string"
},
"groups": {
"id": 0,
"created_at": "now",
"accounts_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"title": "string",
"color": "string"
},
"products": {
"id": 0,
"created_at": "now",
"deviceBrand": "string",
"deviceType": "string",
"productName": "string",
"account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}
]
}

